# Class UriTemplate

java.lang.Object
org.apache.tomcat.websocket.server.UriTemplate

public class UriTemplate extends Object
Extracts path parameters from URIs used to create web socket connections using the URI template defined for the associated Endpoint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UriTemplate(String path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNormalizedPath()`
  `int`
  `getSegmentCount()`
  `boolean`
  `hasParameters()`
  `Map<String,String>`
  `match(UriTemplate candidate)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UriTemplate

    public UriTemplate(String path) throws DeploymentException
    Throws:
      `DeploymentException`

- ## Method Details

  - ### match

    public Map<String,String> match(UriTemplate candidate)

  - ### hasParameters

    public boolean hasParameters()

  - ### getSegmentCount

    public int getSegmentCount()

  - ### getNormalizedPath

    public String getNormalizedPath()